> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enforster.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Ruleset



## OpenAPI

````yaml api-reference/openapi.json delete /api/rulesets/{ruleset_id}
openapi: 3.1.0
info:
  title: Enforster AI API
  description: Enforster AI API for code analysis and security scanning.
  version: 1.8.0
servers: []
security:
  - ApiKeyAuth: []
  - BearerAuth: []
paths:
  /api/rulesets/{ruleset_id}:
    delete:
      summary: Delete Ruleset
      operationId: delete_ruleset_api_rulesets__ruleset_id__delete
      parameters:
        - name: ruleset_id
          in: path
          required: true
          schema:
            type: string
            title: Ruleset Id
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Use an API key in the X-API-Key header.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Clerk JWT bearer token.

````